petsc-3.12.1 2019-10-22
Report Typos and Errors

# MatInitializePackage

This function initializes everything in the Mat package. It is called from PetscDLLibraryRegister_petscmat() when using dynamic libraries, and on the first call to MatCreate() when using shared or static libraries.

### Synopsis

    PetscErrorCode  MatInitializePackage(void)

### See Also

PetscInitialize()

### Level

developer

### Location

src/mat/interface/dlregismat.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages